shishi_as_rep_process(3)

NAME
shishi_as_rep_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_rep_process(Shishi_as * as, Shishi_key * key, const char * password);

ARGUMENTS

Shishi_as * as
    structure that holds information about AS exchange

Shishi_key * key
    user's key, used to encrypt the encrypted part of the AS-REP.

const char * password
    user's password, used if key is NULL.

DESCRIPTION
Process new AS-REP and set ticket. The key is used to decrypt the AP-REP. If both key and password is NULL, the user is queried for it.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.